% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/dwellTime.R
\docType{methods}
\name{dwellTime}
\alias{dwellTime}
\alias{.dwellTime}
\title{dwellTime}
\usage{
dwellTime(trackll,t.interval=10,x.scale=c(min=0,max=250),plot=TRUE,
output=FALSE)
}
\arguments{
\item{t.interval}{t.interval time, default = 10ms.}

\item{trackll}{Track list output from readDiatrack().}

\item{x.scale}{x-scale min and max range.}

\item{plot}{An Logical indicate if plot should be generated. If 
plot = TRUE, the plot data will also be output.}

\item{output}{An Logical indicate if output should be generated. 1) dwell 
time of tracks in the track list output to csv file. Each item in the list 
will have an individual csv file. 2) Plot PDF and plot data will be saved.}
}
\value{
\itemize{
\item{dwell time list} A list of dwell time for all trajectories, 
separated by file names of the trajectory file in Diatrack file folder. 
If combined dwell time is intended, use readDiatrack(folder, merge=TRUE) 
to generate a  single length list, then apply this function.
\item{PDF} dwell time frequency plot in PDF format, when plot = TRUE.
\item{csv} dwell time output in csv format, when output = TRUE.
}
}
\description{
Caclulate dwell time (/residence time) for trajecotries.
}
\examples{
folder=system.file('extdata','SWR1',package='sojourner')
trackll=createTrackll(folder=folder, input=3)
dwellTime(trackll,plot=TRUE)
}
